import javafx.scene.image.Image;

/**
 * 背景
 */
public class KSpriteBackground extends KSprite {

	private		int		time		= 0;

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageBackground0 = null;
		Image imageBackground1 = null;

		imageBackground0 = KImage.getImage("image\\imageBackground0.gif");
		imageBackground1 = KImage.getImage("image\\imageBackground1.gif");

		KSpriteBackground.setImage(KSpriteBackground.class, new Image[]{
			imageBackground0,
			imageBackground1
		});

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteBackground(KPanel panel){

		super(panel);

	}

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * </pre>
	 */
	public void run(){

		// 時間＋１
		time++;

		// 時間が経ったら、
		if(time >= 3){

			// 時間を戻す
			time = 0;

			// Y座標を取得
			double y = super.getLayoutY();

			// Y+1
			y = y + 1;

			// 背景が隠れたら、
			if(y > 600){
				// 上へ戻す
				y = y - 1200;
			}

			// Y座標を設定
			super.setLayoutY(y);

		}

	}

}
