import javafx.scene.image.Image;

/**
 * 敵０３ 岩
 */
public class KSpriteT03 extends KSpriteT00 implements KConstant {

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageT03 = null;

		imageT03 = KImage.getImage("image\\imageT03.gif");

		KSpriteT03.setImage(KSpriteT03.class, imageT03);

	} // end initImage

	/**
	 * コンストラクタ
	 * @param panel KPanel
	 */
	public KSpriteT03(KPanel panel){

		super(panel);

		// X位置を設定
		super.setLayoutX(Math.random() * (WIDTH - getWidth()));

		super.setLayoutY(-getHeight());

	} // end KSpriteT03

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * <pre>
	 */
	public void run(){

		// 親クラスを実行する
		super.run();

		// 前進
		super.setLayoutY(super.getLayoutY() + 6);

		// 画面の外に出た場合、
		if(super.getLayoutY() > HEIGHT){
			// スプライトを消す
			super.removeSprite();
		}

	} // end run

	/**
	 * 爆発
	 */
	public void bomb(){

		// 50点
		((KCtrlSKK)panel.getKCtrl()).addScore(50);

		super.bomb();

	} // end bomb

}
