import javafx.scene.image.Image;

/**
 * G41 CA-Z90 Z90 Brain Chip
 */
public class KSpriteG41 extends KSpriteG00 implements KConstant {

	/**
	 * イメージ初期化
	 * <pre>
	 * イメージの取り込みを行います。
	 * </pre>
	 */
	public static void initImage() {

		Image imageG41 = null;

		imageG41 = KImage.getImage("image\\imageG41.gif");

		KSpriteG41.setImage(KSpriteG41.class, imageG41);

	} // end initImage

	/**
	 * コンストラクタ
	 */
	public KSpriteG41(KPanel panel, double x){

		super(panel);

		super.setLayoutX(x);
		super.setLayoutY(-128);

	} // end KSpriteG41

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * 継承先で定義をしてください。
	 * <pre>
	 */
	public void run(){

		// スーパークラスを呼び出す
		// 移動はスーパークラスで制御
		super.run();

	}

	/**
	 * 爆発
	 */
	public void bomb(){

		// 100点
		((KCtrlSKK)panel.getKCtrl()).addScore(100);

		super.bomb();

	} // end bomb

}
