import java.util.*;
import javafx.scene.Node;

/**
 * 敵０９ サイダー
 */
public class KSpriteGroupT09 extends KSpriteGroup implements KConstant {

	/** X座標 */
	private		double		x		= 0;

	/**
	 * コンストラクタ
	 * @param panel KPanel
	 */
	public KSpriteGroupT09(KPanel panel){

		super(panel);

		// 自機を取得
		KSpriteShip spriteShip = ((KCtrlSKK)panel.getKCtrl()).getSpriteShip();

		// 位置を設定
		x = ((spriteShip.getLayoutX() + spriteShip.getWidth() / 2) > (WIDTH / 2))?0: WIDTH - 48;

	}

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * <pre>
	 */
	public void run(){

		// 一定時間経過の場合、
		if((time % 10) == 0){
			// スプライトを生成
			KSpriteT09 spriteT09 = new KSpriteT09(super.getKPanel(), x);
			// スプライトを追加
			super.getKPanel().addSprite(LAYOUT_TEKI, spriteT09);
		}

		// 20回出たら、
		if(time == 200){
			// スプライトグループを消す
			super.getKPanel().removeSpriteGroup(this);
		}

	} // end run

}
